Skip to navigation

Create Refund Quote

Calculate the tax amount, total refund amount and get available payment options for an order refund by providing items and costs or quantities to refund.

Requires at least one of the following scopes:

  • store_v2_orders
  • store_v2_transactions

Notes:

  • Create a refund quote before performing a refund request to best avoid a 422 error. Check the refund quote’s response body for the refund_methods array. The amount given in the array must match the amount used in the refund request body.
  • Order refunds should be processed sequentially. Processing multiple concurrent refunds on the same order is not yet supported.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Order Transactionsread and modify transactions and payment_methodsstore_v2_transactions
Order Transactionsread transactions and payment_methodsstore_v2_transactions_read_only
Ordersread and modify payment_methodsstore_v2_orders
Ordersread payment_methodsstore_v2_orders_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

order_idintegerRequired

The ID of the Order to which the transactions belong.

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Request

This endpoint expects an object.
Items RefundobjectRequired
OR
Tax Adjustment RefundobjectRequired

Response

The requested refund quote.
dataobjectOptional
metaobjectOptional
Response metadata.

Errors

422
Unprocessable Entity Error